

  Hi,

The patch just removes all trailing whitespaces, there are no actual
code changes.  I've a script to remove them from my sources now, that
should kill those no-op whitespace changes in my patches after merging
this initial cleanup.
  
  Gerd

Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
---

Index: linux-2004-10-20/include/linux/videodev.h
===================================================================
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/v4l1-compat.c |   36 +++++++++++++++---------------
 25-akpm/drivers/media/video/v4l2-common.c |   12 +++++-----
 25-akpm/include/linux/videodev.h          |   14 +++++------
 25-akpm/include/linux/videodev2.h         |   16 ++++++-------
 4 files changed, 39 insertions(+), 39 deletions(-)

diff -puN drivers/media/video/v4l1-compat.c~v4l-videodev-whitespace-cleanup drivers/media/video/v4l1-compat.c
--- 25/drivers/media/video/v4l1-compat.c~v4l-videodev-whitespace-cleanup	2004-10-24 02:51:42.645813280 -0700
+++ 25-akpm/drivers/media/video/v4l1-compat.c	2004-10-24 02:51:42.654811912 -0700
@@ -116,7 +116,7 @@ set_v4l_control(struct inode            
 		if (value && qctrl2.type == V4L2_CTRL_TYPE_BOOLEAN)
 			value = 65535;
 		ctrl2.id = qctrl2.id;
-		ctrl2.value = 
+		ctrl2.value =
 			(value * (qctrl2.maximum - qctrl2.minimum)
 			 + 32767)
 			/ 65535;
@@ -256,7 +256,7 @@ static int check_size(struct inode      
 
 	memset(&desc2,0,sizeof(desc2));
 	memset(&fmt2,0,sizeof(fmt2));
-	
+
 	desc2.type = V4L2_BUF_TYPE_VIDEO_CAPTURE;
 	if (0 != drv(inode,file,VIDIOC_ENUM_FMT, &desc2))
 		goto done;
@@ -326,7 +326,7 @@ v4l_compat_translate_ioctl(struct inode 
 			err = 0;
 		}
 
-		memcpy(cap->name, cap2->card, 
+		memcpy(cap->name, cap2->card,
 		       min(sizeof(cap->name), sizeof(cap2->card)));
 		cap->name[sizeof(cap->name) - 1] = 0;
 		if (cap2->capabilities & V4L2_CAP_VIDEO_CAPTURE)
@@ -383,7 +383,7 @@ v4l_compat_translate_ioctl(struct inode 
 		if (0 != fbuf2.fmt.bytesperline)
 			buffer->bytesperline = fbuf2.fmt.bytesperline;
 		else {
-			buffer->bytesperline = 
+			buffer->bytesperline =
 				(buffer->width * buffer->depth + 7) & 7;
 			buffer->bytesperline >>= 3;
 		}
@@ -633,7 +633,7 @@ v4l_compat_translate_ioctl(struct inode 
 		err = drv(inode, file, VIDIOC_G_FMT, fmt2);
 		if (err < 0)
 			dprintk("VIDIOCSPICT / VIDIOC_G_FMT: %d\n",err);
-		if (fmt2->fmt.pix.pixelformat != 
+		if (fmt2->fmt.pix.pixelformat !=
 		    palette_to_pixelformat(pict->palette)) {
 			fmt2->fmt.pix.pixelformat = palette_to_pixelformat(
 				pict->palette);
@@ -807,7 +807,7 @@ v4l_compat_translate_ioctl(struct inode 
 
 		memset(&aud2,0,sizeof(aud2));
 		memset(&tun2,0,sizeof(tun2));
-		
+
 		aud2.index = aud->audio;
 		err = drv(inode, file, VIDIOC_S_AUDIO, &aud2);
 		if (err < 0) {
@@ -815,7 +815,7 @@ v4l_compat_translate_ioctl(struct inode 
 			break;
 		}
 
-		set_v4l_control(inode, file, V4L2_CID_AUDIO_VOLUME, 
+		set_v4l_control(inode, file, V4L2_CID_AUDIO_VOLUME,
 				aud->volume, drv);
 		set_v4l_control(inode, file, V4L2_CID_AUDIO_BASS,
 				aud->bass, drv);
@@ -863,16 +863,16 @@ v4l_compat_translate_ioctl(struct inode 
 		fmt2 = kmalloc(sizeof(*fmt2),GFP_KERNEL);
 		memset(&buf2,0,sizeof(buf2));
 		memset(fmt2,0,sizeof(*fmt2));
-		
+
 		fmt2->type = V4L2_BUF_TYPE_VIDEO_CAPTURE;
 		err = drv(inode, file, VIDIOC_G_FMT, fmt2);
 		if (err < 0) {
 			dprintk("VIDIOCMCAPTURE / VIDIOC_G_FMT: %d\n",err);
 			break;
 		}
-		if (mm->width   != fmt2->fmt.pix.width  || 
+		if (mm->width   != fmt2->fmt.pix.width  ||
 		    mm->height  != fmt2->fmt.pix.height ||
-		    palette_to_pixelformat(mm->format) != 
+		    palette_to_pixelformat(mm->format) !=
 		    fmt2->fmt.pix.pixelformat)
 		{/* New capture format...  */
 			fmt2->fmt.pix.width = mm->width;
@@ -955,11 +955,11 @@ v4l_compat_translate_ioctl(struct inode 
 	case VIDIOCGVBIFMT: /* query VBI data capture format */
 	{
 		struct vbi_format      *fmt = arg;
-		
+
 		fmt2 = kmalloc(sizeof(*fmt2),GFP_KERNEL);
 		memset(fmt2, 0, sizeof(*fmt2));
 		fmt2->type = V4L2_BUF_TYPE_VBI_CAPTURE;
-		
+
 		err = drv(inode, file, VIDIOC_G_FMT, fmt2);
 		if (err < 0) {
 			dprintk("VIDIOCGVBIFMT / VIDIOC_G_FMT: %d\n", err);
@@ -979,7 +979,7 @@ v4l_compat_translate_ioctl(struct inode 
 	case VIDIOCSVBIFMT:
 	{
 		struct vbi_format      *fmt = arg;
-		
+
 		fmt2 = kmalloc(sizeof(*fmt2),GFP_KERNEL);
 		memset(fmt2, 0, sizeof(*fmt2));
 
@@ -987,10 +987,10 @@ v4l_compat_translate_ioctl(struct inode 
 		fmt2->fmt.vbi.samples_per_line = fmt->samples_per_line;
 		fmt2->fmt.vbi.sampling_rate    = fmt->sampling_rate;
 		fmt2->fmt.vbi.sample_format    = V4L2_PIX_FMT_GREY;
-		fmt2->fmt.vbi.start[0]         = fmt->start[0]; 
-		fmt2->fmt.vbi.count[0]         = fmt->count[0]; 
-		fmt2->fmt.vbi.start[1]         = fmt->start[1]; 
-		fmt2->fmt.vbi.count[1]         = fmt->count[1]; 
+		fmt2->fmt.vbi.start[0]         = fmt->start[0];
+		fmt2->fmt.vbi.count[0]         = fmt->count[0];
+		fmt2->fmt.vbi.start[1]         = fmt->start[1];
+		fmt2->fmt.vbi.count[1]         = fmt->count[1];
 		fmt2->fmt.vbi.flags            = fmt->flags;
 		err = drv(inode, file, VIDIOC_TRY_FMT, fmt2);
 		if (err < 0) {
@@ -1014,7 +1014,7 @@ v4l_compat_translate_ioctl(struct inode 
 			dprintk("VIDIOCSVBIFMT / VIDIOC_S_FMT: %d\n", err);
 		break;
 	}
-	
+
 	default:
 		err = -ENOIOCTLCMD;
 		break;
diff -puN drivers/media/video/v4l2-common.c~v4l-videodev-whitespace-cleanup drivers/media/video/v4l2-common.c
--- 25/drivers/media/video/v4l2-common.c~v4l-videodev-whitespace-cleanup	2004-10-24 02:51:42.646813128 -0700
+++ 25-akpm/drivers/media/video/v4l2-common.c	2004-10-24 02:51:42.655811760 -0700
@@ -36,7 +36,7 @@
 /*
  * Video4linux 1/2 integration by Justin Schoeman
  * <justin@suntiger.ee.up.ac.za>
- * 2.4 PROCFS support ported from 2.4 kernels by 
+ * 2.4 PROCFS support ported from 2.4 kernels by
  *  Iaki Garca Etxebarria <garetxe@euskalnet.net>
  * Makefile fix by "W. Michael Petullo" <mike@flyn.org>
  * 2.4 devfs support ported from 2.4 kernels by
@@ -84,14 +84,14 @@ MODULE_LICENSE("GPL");
  *  Video Standard Operations (contributed by Michael Schimek)
  */
 
-/* This is the recommended method to deal with the framerate fields. More 
+/* This is the recommended method to deal with the framerate fields. More
    sophisticated drivers will access the fields directly. */
 unsigned int
 v4l2_video_std_fps(struct v4l2_standard *vs)
-{ 
+{
 	if (vs->frameperiod.numerator > 0)
-		return (((vs->frameperiod.denominator << 8) / 
-			 vs->frameperiod.numerator) + 
+		return (((vs->frameperiod.denominator << 8) /
+			 vs->frameperiod.numerator) +
 			(1 << 7)) / (1 << 8);
 	return 0;
 }
@@ -132,7 +132,7 @@ int v4l2_prio_init(struct v4l2_prio_stat
 	memset(global,0,sizeof(*global));
 	return 0;
 }
-	
+
 int v4l2_prio_change(struct v4l2_prio_state *global, enum v4l2_priority *local,
 		     enum v4l2_priority new)
 {
diff -puN include/linux/videodev2.h~v4l-videodev-whitespace-cleanup include/linux/videodev2.h
--- 25/include/linux/videodev2.h~v4l-videodev-whitespace-cleanup	2004-10-24 02:51:42.648812824 -0700
+++ 25-akpm/include/linux/videodev2.h	2004-10-24 02:51:42.656811608 -0700
@@ -95,20 +95,20 @@ enum v4l2_colorspace {
 
 	/* HD and modern captures. */
 	V4L2_COLORSPACE_REC709        = 3,
-	
+
 	/* broken BT878 extents (601, luma range 16-253 instead of 16-235) */
 	V4L2_COLORSPACE_BT878         = 4,
-	
+
 	/* These should be useful.  Assume 601 extents. */
 	V4L2_COLORSPACE_470_SYSTEM_M  = 5,
 	V4L2_COLORSPACE_470_SYSTEM_BG = 6,
-	
+
 	/* I know there will be cameras that send this.  So, this is
 	 * unspecified chromaticities and full 0-255 on each of the
 	 * Y'CbCr components
 	 */
 	V4L2_COLORSPACE_JPEG          = 7,
-	
+
 	/* For RGB colourspaces, this is probably a good start. */
 	V4L2_COLORSPACE_SRGB          = 8,
 };
@@ -334,10 +334,10 @@ struct v4l2_jpegcompression
 				 * must be 0..15 */
 	int  APP_len;           /* Length of data in JPEG APPn segment */
 	char APP_data[60];      /* Data in the JPEG APPn segment. */
-	
+
 	int  COM_len;           /* Length of data in JPEG COM segment */
 	char COM_data[60];      /* Data in JPEG COM segment */
-	
+
 	__u32 jpeg_markers;     /* Which markers should go into the JPEG
 				 * output. Unless you exactly know what
 				 * you do, leave them untouched.
@@ -347,7 +347,7 @@ struct v4l2_jpegcompression
 				 * The presence of the APP and COM marker
 				 * is influenced by APP_len and COM_len
 				 * ONLY, not by this property! */
-	
+
 #define V4L2_JPEG_MARKER_DHT (1<<3)    /* Define Huffman Tables */
 #define V4L2_JPEG_MARKER_DQT (1<<4)    /* Define Quantization Tables */
 #define V4L2_JPEG_MARKER_DRI (1<<5)    /* Define Restart Interval */
@@ -470,7 +470,7 @@ struct v4l2_outputparm
  */
 
 struct v4l2_cropcap {
-	enum v4l2_buf_type      type;	
+	enum v4l2_buf_type      type;
         struct v4l2_rect        bounds;
         struct v4l2_rect        defrect;
         struct v4l2_fract       pixelaspect;
diff -puN include/linux/videodev.h~v4l-videodev-whitespace-cleanup include/linux/videodev.h
--- 25/include/linux/videodev.h~v4l-videodev-whitespace-cleanup	2004-10-24 02:51:42.650812520 -0700
+++ 25-akpm/include/linux/videodev.h	2004-10-24 02:51:42.657811456 -0700
@@ -133,7 +133,7 @@ struct video_channel
 #define VIDEO_VC_AUDIO		2	/* Channel has audio */
 	__u16  type;
 #define VIDEO_TYPE_TV		1
-#define VIDEO_TYPE_CAMERA	2	
+#define VIDEO_TYPE_CAMERA	2
 	__u16 norm;			/* Norm set by channel */
 };
 
@@ -172,7 +172,7 @@ struct video_picture
 #define VIDEO_PALETTE_HI240	2	/* High 240 cube (BT848) */
 #define VIDEO_PALETTE_RGB565	3	/* 565 16 bit RGB */
 #define VIDEO_PALETTE_RGB24	4	/* 24bit RGB */
-#define VIDEO_PALETTE_RGB32	5	/* 32bit RGB */	
+#define VIDEO_PALETTE_RGB32	5	/* 32bit RGB */
 #define VIDEO_PALETTE_RGB555	6	/* 555 15bit RGB */
 #define VIDEO_PALETTE_YUV422	7	/* YUV422 capture */
 #define VIDEO_PALETTE_YUYV	8
@@ -198,7 +198,7 @@ struct video_audio
 #define VIDEO_AUDIO_MUTABLE	2
 #define VIDEO_AUDIO_VOLUME	4
 #define VIDEO_AUDIO_BASS	8
-#define VIDEO_AUDIO_TREBLE	16	
+#define VIDEO_AUDIO_TREBLE	16
 #define VIDEO_AUDIO_BALANCE	32
 	char    name[16];
 #define VIDEO_SOUND_MONO	1
@@ -272,11 +272,11 @@ struct video_mbuf
 	int	frames;		/* Frames */
 	int	offsets[VIDEO_MAX_FRAME];
 };
-	
+
 
 #define 	VIDEO_NO_UNIT	(-1)
 
-	
+
 struct video_unit
 {
 	int 	video;		/* Video minor */
@@ -373,7 +373,7 @@ struct video_code
 	/* p1: = VIDEO_MODE_PAL, VIDEO_MODE_NTSC, etc ... */
 #define VID_PLAY_GENLOCK		1
 	/* p1: 0 = OFF, 1 = ON */
-	/* p2: GENLOCK FINE DELAY value */ 
+	/* p2: GENLOCK FINE DELAY value */
 #define VID_PLAY_NORMAL			2
 #define VID_PLAY_PAUSE			3
 #define VID_PLAY_SINGLE_FRAME		4
@@ -421,7 +421,7 @@ struct video_code
 #define VID_HARDWARE_CPIA	24
 #define VID_HARDWARE_ZR36120	25	/* Zoran ZR36120/ZR36125 */
 #define VID_HARDWARE_ZR36067	26	/* Zoran ZR36067/36060 */
-#define VID_HARDWARE_OV511	27	
+#define VID_HARDWARE_OV511	27
 #define VID_HARDWARE_ZR356700	28	/* Zoran 36700 series */
 #define VID_HARDWARE_W9966	29
 #define VID_HARDWARE_SE401	30	/* SE401 USB webcams */
_
